*"表題 データへのスカラー代入 GTOOL3(GPFCON)
*
*"履歴 90/08/19 沼口  敦
*
*
*********************************************************************
*"         << データへのスカラー代入 >>
*********************************************************************
      SUBROUTINE GPFCON
     I         ( HHEAD , GDATA , VAL   ,
     I           HEDIT , HETTL ,
     O           HHEADO, GDATAO  )
*
      CHARACTER  HHEAD  ( * )*(*)        !" ヘッダー(入力)
      REAL       GDATA  ( * )            !" データ(入力)
      REAL       VAL                     !" スカラー値
      CHARACTER  HEDIT       *(*)        !" 編集略記号
      CHARACTER  HETTL       *(*)        !" 編集タイトル
      CHARACTER  HHEADO ( * )*(*)        !" ヘッダー(出力)
      REAL       GDATAO ( * )            !" データ(出力)
*
*"         < 1. 大きさの取得 >
*
      CALL GUSMIS ( HHEAD )
*
      CALL GUQSIZ
     I         ( HHEAD ,
     O           IXSTR , IXEND , IXDIM ,
     O           IYSTR , IYEND , IYDIM ,
     O           IZSTR , IZEND , IZDIM  )
*
      CALL GUSZCK ( HHEADO, IXDIM*IYDIM*IZDIM )
*
*"         < 3. データ代入 >
*
      CALL VRCON
     I     ( GDATA ,
     O       GDATAO,
     I       IXDIM*IYDIM*IZDIM, 1 , 1 , VAL  )
*
*"         < 4. ヘッダー変更 >
*
      CALL GHCOPY ( HHEAD, HHEADO )
*
      IF (  ( HEDIT .NE. ' ' ).AND.( HEDIT .NE.'NUL' )  ) THEN
         CALL GHEADD ( HHEADO, HEDIT, HETTL )
      ENDIF
*
      RETURN
      END
*********************************************************************
*"         << データへのスカラー代入 >>
*********************************************************************
      SUBROUTINE GMFCON
     M         ( HHEAD , GDATA ,
     I           VAL   ,
     I           HEDIT , HETTL  )
*
      CHARACTER  HHEAD  ( * )*(*)        !" ヘッダー(入力)
      REAL       GDATA  ( * )            !" データ(入力)
      REAL       VAL                     !" スカラー値
      CHARACTER  HEDIT       *(*)        !" 編集略記号
      CHARACTER  HETTL       *(*)        !" 編集タイトル
*
*"         < 1. 大きさの取得 >
*
      CALL GUSMIS ( HHEAD )
*
      CALL GUQSIZ
     I         ( HHEAD ,
     O           IXSTR , IXEND , IXDIM ,
     O           IYSTR , IYEND , IYDIM ,
     O           IZSTR , IZEND , IZDIM  )
*
      CALL GUSZCK ( HHEAD, IXDIM*IYDIM*IZDIM )
*
*"         < 2. データ代入 >
*
      CALL RSET
     O     ( GDATA ,
     I       IXDIM*IYDIM*IZDIM, 1 , VAL  )
*
      IF (  ( HEDIT .NE. ' ' ).AND.( HEDIT .NE.'NUL' )  ) THEN
         CALL GHEADD ( HHEAD, HEDIT, HETTL )
      ENDIF
*
      RETURN
      END
